Bug Hunting Session
Bug 93822 - disable background saving with GL enabled ...
Summary: disable background saving with GL enabled ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Michael Meeks
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-08-31 20:07 UTC by Michael Meeks
Modified: 2016-10-25 19:24 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-08-31 20:07:00 UTC
Its not a good idea to fetch and store backgrounds I expect; and there is no need on a modern OS - the underlying windows are backed by real texture / pixels anyway.
Comment 1 Michael Meeks 2015-08-31 20:22:13 UTC
Pushed to master; gerrit for -5-0 in:
    https://gerrit.libreoffice.org/18203
Comment 2 Commit Notification 2015-08-31 20:22:31 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=59618d22a04ca441b19f388e48ae9b1c9dd8183c

tdf#93822 - disable horror legacy menu background saving for OpenGL.

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-09-01 07:02:55 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bce18e962dacdf6246123493690aa4b942568d10&h=libreoffice-5-0

tdf#93822 - disable horror legacy menu background saving for OpenGL.

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.